﻿Type=Class
Version=2.71
@EndOfDesignText@
'Class module
Sub Class_Globals

	Dim State As Boolean
	Dim Channel As Int
	Dim Volume As Int
	
	Dim undoChannel As Int
	Dim undoVolume As Int
	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize

	State = False
	Channel = 1
	Volume = 10

	undoChannel = 1
	undoVolume = 10
	
End Sub

Public Sub off()

	State = False
	Main.undoObjectAction = "off"
End Sub

Public Sub on()

	State = True
	Main.undoObjectAction = "on"
	
End Sub

Public Sub setChannel()

	undoChannel = Channel
	Channel = Channel + 1
	Main.undoObjectAction = "setChannel"
	
End Sub

Public Sub setVolume()

	undoVolume = Volume
	Volume = Volume + 1
	If Volume >= 20 Then Volume = 1
	Main.undoObjectAction = "setVolume"
	
End Sub

Public Sub undo()

	If Main.undoObjectAction = "on" Then
		off
	Else If Main.undoObjectAction = "off" Then
		on
	Else If Main.undoObjectAction = "setChannel" Then 'Swap the last two values
		Dim tmpInt As Int
		tmpInt = Channel
		Channel = undoChannel
		undoChannel = tmpInt
	Else If Main.undoObjectAction = "setVolume" Then 'Swap the last two values
		Dim tmpInt As Int
		tmpInt = Volume
		Volume = undoVolume
		undoVolume = tmpInt
	End If
	
End Sub